<template>
  <div
    class="main-banner main-banners-item1"
    :style="{
      // 'background-image': `linear-gradient(119deg, rgba(6, 28, 47, 0.55) 69.68%, rgba(9, 52, 90, 0) 100% ), url(${content.bgImage})`,
      'background-image': `url(${content.bgImage})`,
    }"
  >
    <div class="main-banners-content">
      <div class="main-banners-schild">
        <!-- <ShoppingMall></ShoppingMall> -->
        <img :src="schild && schild.image" alt="" />
        {{ schild && schild.text }}
      </div>
      <h1 v-html="content.title"></h1>
      <p v-html="content.description"></p>
      <a :href="btn && btn.link.href" :target="btn.link.target">
        <Button
          size="medium"
          color="blue"
          @mouseover="changeItem"
          @mouseout="rechangeItem"
        >
          <template #icon>
            <Arrow45 />
          </template>
          <span v-html="btn && btn.text"></span>
        </Button>
      </a>
    </div>
    <div class="main-banners-img" :class="{ hover: isHover }">
      <img :src="content.packageImage" alt="" class="main-banners-img-big" />
      <img :src="content.foodImage" alt="" class="main-banners-img-small" />
    </div>
  </div>
</template>

<script>
import ShoppingMall from "./icons/shopping-mall.vue";
import Button from "./common/button.vue";
import Arrow45 from "./icons/arrow45.vue";
// import { ref, onMounted, watch, toRefs } from 'vue'

export default {
  components: {
    ShoppingMall,
    Button,
    Arrow45,
  },
  props: {
    content: { type: Object },
  },
  // setup(props) {
  //   console.log('props:', props)
  //   const { content1 } = toRefs(props)
  //   return {content1}
  // },
  data() {
    return {
      isHover: false,
    };
  },
  computed: {
    btn() {
      return this.content.btn;
    },
    schild() {
      return this.content.topSubtitle;
    },
  },
  created() {},
  mounted() {},
  updated() {},
  methods: {
    changeItem() {
      if(window.innerWidth > 1023){
        this.isHover = !this.isHover;

      }
    },
    rechangeItem() {
      this.isHover = false;
    },
  },
};
</script>
